Skip to main content
`Ctrl`+`K`

# house_graph

house_graph(create_using=None)

  Returns the House graph (square with triangle on top)

  The house graph is a simple undirected graph with 5 nodes and 6 edges [1].

  Parameters:
    create_using NetworkX graph constructor, optional (default=nx.Graph)

      Graph type to create. If graph instance, then cleared before populated.

  Returns:
    G networkx Graph

      House graph in the form of a square with a triangle on top

  References

  [1]

  https://mathworld.wolfram.com/HouseGraph.html